// Header File
// Created 1/28/2011; 11:44:24 PM

//******************************************************************************
//
// Project:         Jumpman 89
//
// file name:       jm_scores.h
//
// author:          David Randall "Ranman" 
//                  derandall99@gmail.com
//
// notes::          Jumpman was originally created by Randy Glover for the
//                  Atari 400, Commodore 64, IBM PCjr, and Apple II in 1982
//
//******************************************************************************


#ifndef _jm_scores_h
#define _jm_scores_h

#include "BasicTypes.h"



#define SCORE_SELECTED_FLAG 0xf0

typedef struct
{
	char  name[4];
	uint4 score;
} SCORE_ENTRY_Type;


typedef struct
{
	SCORE_ENTRY_Type high_scores[2][11]; // index 0 = top scores, index 1 = high bonus
	uint4 vpc;
	uint1 eof_data[8];
} HIGH_SCORES_Type;


extern int4 game_score;
extern uint4 bonus_points_total;
extern uint2 bonus_points_level;
extern uint2 bonus_points_jumpman;

extern bool scores_inserted;


void DrawFinalScores(void);
bool DrawHighScores(void);
void InsertHighScores(uint4 game_score, uint4 bonus_score);
void ReadHighScores(void);
void SaveHighScores(void);


#endif